MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024048Open CASCADE[OCCT] OCCT:Codingpublic2013-06-26 16:092013-12-19 13:58
Reporteribs 
Assigned Toibs 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024048: "Basic Runtime Checks" option of VS projects should be equal to "RTC1"
DescriptionIt's required changing "Basic Runtime Checks" option in VS projects (debug mode) to report, for example, when a variable is used without having been initialized (RTCu).

note: RTC1 equiv. to /RTCsu

After OCCT debug building with Visual Studio with "Basic Runtime Checks" option equals RTC1, testgrid process produces debug errors: the variable '<variable>' is being used withoud being initialized


tolreached in(src\ChFi3d\ChFi3d_Builder_6.cxx);
LocalTransition in in deb case (src\HatchGen\HatchGen_Hatcher.gxx);
vprev in(src\Blend\Blend_Walking_3.gxx);
uprev in(src\BRepBlend\BRepBlend_SurfRstLineBuilder.cxx);
lxp in (src\Interface\Interface_FloatWriter.cxx)
pBuff in (src\OSD\OSD_Process.cxx)
ier inAdvApp2Var/AdvApp2Var_ApproxF2var.cxx
FacRevolInfini inBRepFeat_MakePrism.cxx

aPrefix in (src\RWStepBasic\RWStepBasic_RWSiUnitAndPlaneAngleUnit.cxx,
src\RWStepBasic\RWStepBasic_RWSiUnit.cxx,
src\RWStepBasic\RWStepBasic_RWSiUnitAndLengthUnit.cxx,
src\RWStepBasic\RWStepBasic_RWSiUnitAndMassUnit.cxx,
src\RWStepBasic\RWStepBasic_RWSiUnitAndThermodynamicTemperatureUnit.cxx,
src\RWStepBasic\RWStepBasic_RWSiUnitAndTimeUnit.cxx)
Steps To Reproduce1. wgenproj -target=vc9
2. build the solution in debug mode
3. run.bat -> testgrid
Additional information
and documentation updates
"Basic Runtime Checks" option of VS projects and generated cmake meta-project has been changed to "RTC1"

all appeared run-time errors have been fixed.

extended description of case with nomber variable in src\IGESData\IGESData_GlobalSection.cxx:
 
nombre variable (mas of chars) was expanded to 1024 (had been 20). this expansion helps avoiding the error of conversion a float number to mas of chars: the size of mas is enough for converting float number now. Interface_FloatWriter::Convert doesnt work correct with second argument which size is less 21 (in some cases).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024211closedbugmaster Definition of Basic Runtime Check parameter causes regression in debug mode 

-  Notes
(0024889)
ibs (developer)
2013-06-26 18:10
edited on: 2013-06-26 18:15

"Basic Runtime Checks" was equal to "Both (/RTC1, equiv. to /RTCsu)" for DRAWEXE of vc7, vc8 and vc9.
"Basic Runtime Checks" was equal to "default" for DRAWEXE of vc10 and vc11 and other projects of all vc versions.

(0024911)
ibs (developer)
2013-06-28 15:09

Dear bugmaster,
please test these changes
(0024912)
ibs (developer)
2013-06-28 15:10
edited on: 2013-06-28 15:20

to test you should:
1. generate project: wgenproj -target=vc9
3. build this solution in debug mode
5. execute run.bat script located in casroot folder with arguments: vc9 win32 Debug
6. and run testgrid there (into draw prompt)


if debug error appear - just take screenshot of error and click "abort" button (test will be failed; next one will start to execute);
after all send this errors to me and i'll fix them

(0024913)
ibs (developer)
2013-06-28 15:17

if tests are good for vc9 then we should generate vc8, vc10 and vc11 projects and test them (steps above).
(0024938)
apn (administrator)
2013-07-02 09:42
edited on: 2013-07-02 09:42

Few debug errors appear, I send screenshots by mail.
You can find results of testing in /dn60/tests_results/results_CR24048_2013-07-01T1250

(0024961)
ibs (developer)
2013-07-04 12:19
edited on: 2013-07-04 12:20

we will run test with these fixes and without ones, after that we will compare the results. if the results are equal, the one will be integrated into OCCT master

results with fixes are placed: /dn60/tests_results/results_CR24048_2013-07-03T1543

(0024996)
ibs (developer)
2013-07-09 11:57

Dear bugmaster,
please integrate these fixes. Also there is a need to change status (todo?) of tests: de step_5 A6, de step_5 B3; de iges_3 A9.
(0025002)
apn (administrator)
2013-07-09 17:04
edited on: 2013-07-09 17:05

Dear BugMaster,

Branch CR24048 (and products from GIT master) was compiled on Linux and Windows platforms and tested in Release mode vc9.
SHA-1: d8551e5299c6546e1dbd4d646c1bb15d206cfb61

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366180748 / 364883904
Total CPU difference: 45798.51000000106 / 44722.74000000091

Testing on Windows:
Total MEMORY difference: 422454516 / 425478060
Total CPU difference: 38640.921875 / 41686.203125

There are not differences in images found by testdiff.

Branch CR24048 in wok repository was pushed to master.

(0025794)
abv (manager)
2013-09-30 15:19

This fix should have been tested in Debug mode! See 0024211

- Related Changesets
occt: master a8195d65
Timestamp: 2013-07-12 08:29:30
Author: ibs
Details ] Diff ]
0024048: "Basic Runtime Checks" option of VS projects should be equal to "RTC1"

tolreached initialized (src\ChFi3d\ChFi3d_Builder_6.cxx);
LocalTransition initialized in deb case (src\HatchGen\HatchGen_Hatcher.gxx);
vprev initialized (src\Blend\Blend_Walking_3.gxx);
uprev initialized (src\BRepBlend\BRepBlend_SurfRstLineBuilder.cxx);
lxp initialized (src\Interface\Interface_FloatWriter.cxx)
pBuff initialized (src\OSD\OSD_Process.cxx)
aPrefix initialized (src\RWStepBasic\RWStepBasic_RWSiUnitAndPlaneAngleUnit.cxx)
ier initialized AdvApp2Var/AdvApp2Var_ApproxF2var.cxx
FacRevolInfini initialized BRepFeat_MakePrism.cxx
default action of "switch" returned
nombre mas of chars was expanded to 1024 (had been 20). this expansion helps avoiding the error of conversion a float number to mas of chars: the size of mas is enough for converting float number now.
Changed status (todo ?) of tests: de step_5 A6 B3, de iges_3 A9
mod - src/AdvApp2Var/AdvApp2Var_ApproxF2var.cxx Diff ] File ]
mod - src/Blend/Blend_Walking_3.gxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/HatchGen/HatchGen_Hatcher.gxx Diff ] File ]
mod - src/IGESData/IGESData_GlobalSection.cxx Diff ] File ]
mod - src/Interface/Interface_FloatWriter.cxx Diff ] File ]
mod - src/OSD/OSD_Process.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndLengthUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndMassUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndPlaneAngleUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndSolidAngleUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndThermodynamicTemperatureUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndTimeUnit.cxx Diff ] File ]
mod - tests/de/iges_3/A9 Diff ] File ]
mod - tests/de/step_5/A6 Diff ] File ]
mod - tests/de/step_5/B3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-26 16:09 ibs New Issue
2013-06-26 16:09 ibs Assigned To => ibs
2013-06-26 16:09 ibs Description Updated View Revisions
2013-06-26 16:11 ibs Description Updated View Revisions
2013-06-26 16:18 ibs Summary There are many errors in tests with "Basic Runtime Checks" option of MSVC equals to "RTC1" => "Basic Runtime Checks" option of VS projects should be equal to "RTC1"
2013-06-26 16:18 ibs Description Updated View Revisions
2013-06-26 16:22 ibs Additional Information Updated View Revisions
2013-06-26 18:10 ibs Note Added: 0024889
2013-06-26 18:15 ibs Note Edited: 0024889 View Revisions
2013-06-26 18:19 ibs Description Updated View Revisions
2013-06-26 18:19 ibs Additional Information Updated View Revisions
2013-06-26 18:19 ibs Status new => assigned
2013-06-26 18:25 ibs Description Updated View Revisions
2013-06-27 12:44 ibs Description Updated View Revisions
2013-06-28 15:09 ibs Note Added: 0024911
2013-06-28 15:09 ibs Assigned To ibs => bugmaster
2013-06-28 15:09 ibs Status assigned => resolved
2013-06-28 15:09 ibs Status resolved => reviewed
2013-06-28 15:10 ibs Note Added: 0024912
2013-06-28 15:17 ibs Note Added: 0024913
2013-06-28 15:18 ibs Steps to Reproduce Updated View Revisions
2013-06-28 15:20 ibs Note Edited: 0024912 View Revisions
2013-06-28 16:19 ibs Description Updated View Revisions
2013-07-02 09:42 apn Note Added: 0024938
2013-07-02 09:42 apn Note Edited: 0024938 View Revisions
2013-07-02 09:44 apn Assigned To bugmaster => ibs
2013-07-02 09:44 apn Status reviewed => assigned
2013-07-03 12:59 ibs Description Updated View Revisions
2013-07-03 12:59 ibs Additional Information Updated View Revisions
2013-07-03 14:28 ibs Additional Information Updated View Revisions
2013-07-04 12:19 ibs Note Added: 0024961
2013-07-04 12:20 ibs Note Edited: 0024961 View Revisions
2013-07-05 09:07 ibs Priority normal => low
2013-07-09 11:52 ibs Status assigned => resolved
2013-07-09 11:57 ibs Note Added: 0024996
2013-07-09 11:57 ibs Assigned To ibs => bugmaster
2013-07-09 11:57 ibs Status resolved => reviewed
2013-07-09 12:04 apn Assigned To bugmaster => apn
2013-07-09 17:04 apn Note Added: 0025002
2013-07-09 17:05 apn Note Edited: 0025002 View Revisions
2013-07-09 17:06 apn Test case number => Not needed
2013-07-09 17:06 apn Assigned To apn => bugmaster
2013-07-09 17:06 apn Status reviewed => tested
2013-07-12 18:08 ibs Changeset attached => occt master a8195d65
2013-07-12 18:08 ibs Assigned To bugmaster => ibs
2013-07-12 18:08 ibs Status tested => verified
2013-07-12 18:08 ibs Resolution open => fixed
2013-09-30 15:19 abv Note Added: 0025794
2013-09-30 15:19 abv Relationship added parent of 0024211
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker